Delete Skill
Delete Skill
Supports deleting a Skill under a specified organization.
You can use this endpoint to delete a Skill under a specified organization. Deletion cascades to clean up skill drafts, version snapshots, and skill package file records.
Request Method
POST
Request URL
https://api.${endpoint}/v1/org/skill/delete
Request Authentication
Uses account-level DevKey / DevSecret Basic authentication, and requires the calling account to have organization Skill deletion permission.
Request
Request Example
curl -X POST 'https://api.${endpoint}/v1/org/skill/delete' \
-H 'Authorization: Basic ${BASIC_TOKEN}' \
-H 'Content-Type: application/json' \
-d '{
"org_id": "p-xxxx",
"skill_id": "skill-xxxx"
}'
curl -X POST 'https://api.${endpoint}/v1/org/skill/delete' \
-H 'Authorization: Basic ${BASIC_TOKEN}' \
-H 'Content-Type: application/json' \
-d '{
"org_id": "p-xxxx",
"skill_id": "skill-xxxx"
}'
This code block in the floating window
Request Headers
| Field | Type | Description |
|---|---|---|
| Authorization | Basic ${BASIC_TOKEN} | The Basic Token obtained by Base64-encoding DevKey:DevSecret. |
| Content-Type | application/json | Request body format. |
Request Parameters (Body Parameters)
| Parameter | Type | Description | required |
|---|---|---|---|
| org_id | String | Organization ID. | true |
| skill_id | String | Skill ID. | true |
Response
Response Example
{
"code": 0,
"message": "OK",
"affect_count": 1
}
{
"code": 0,
"message": "OK",
"affect_count": 1
}
This code block in the floating window
Success Response
| Field | Type | Description |
|---|---|---|
| affect_count | Integer | Number of affected records. |
Failure Response
| Field | Type | Description |
|---|---|---|
| code | Integer | Error code. |
| message | String | Error details. |
Status Codes
| Status Code | Description |
|---|---|
| 200 | Success |
| 400 | Parameter error |
| 401 | Unauthorized |
| 403 | Insufficient permissions |
| 429 | Too many requests |
| 500 | Server error |
